package cn.tsy.data.idsse.dsds.model.sample;

import java.time.LocalDateTime;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;

/**********************************************
 * 数据样品-测线作业
 * 
 * @author: zxq
 * @date: 2024-05-14 18:12:52
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmesoft.cn
 */
@HmeTable(name = "SAMPLE_LINE", key = "TSY_ID")
public class SampleLine extends HmeBean {
	private static final long serialVersionUID = 8005069057561746132L;
	private Integer tsy_id;
	//数据集编号
	private Integer dataset_id;
	//数据集名称
	private String dataset_name;
	//数据样品编号
	private String sample_name;
	//数据样品在数据集内部编号
	private String sample_seq;
	//赞助机构
	private String funding_org;
	//公开期限
	private String publish_rule;
	//测线号
	private String line_sn;
	//测线深度
	private String line_deep;
	//开始经度
	private String start_lon;
	//开始纬度
	private String start_lat;
	//结束经度
	private String end_lon;
	//结束纬度
	private String end_lat;
	//开始时间
	private LocalDateTime start_time;
	//结束时间
	private LocalDateTime end_time;
	//上传测线轨迹文件名称
	private String track_file_name;
	//数据格式
	private String sample_format;
	//原始数据、预处理数据、后处理数据
	private String sample_status;
	//应急搜捞、全球深渊深潜计划、崖州湾共享航次、基金委共享航次
	private String sample_tag_name;
	//标签对应的值，用于关联第三方系统
	private String sample_tag_value;
	//备注信息
	private String sample_remark;
	//创建时间
	private LocalDateTime create_time;

	public Integer getTsy_id() {
		return this.tsy_id;
	}

	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 数据集编号
	 */
	public Integer getDataset_id() {
		return this.dataset_id;
	}

	/****
	 * 数据集编号
	 */
	public void setDataset_id(Integer dataset_id) {
		this.dataset_id = dataset_id;
	}

	/****
	 * 数据集名称
	 */
	public String getDataset_name() {
		return this.dataset_name;
	}

	/****
	 * 数据集名称
	 */
	public void setDataset_name(String dataset_name) {
		this.dataset_name = dataset_name;
	}

	/****
	 * 数据样品编号
	 */
	public String getSample_name() {
		return this.sample_name;
	}

	/****
	 * 数据样品编号
	 */
	public void setSample_name(String sample_name) {
		this.sample_name = sample_name;
	}

	/****
	 * 数据样品在数据集内部编号
	 */
	public String getSample_seq() {
		return this.sample_seq;
	}

	/****
	 * 数据样品在数据集内部编号
	 */
	public void setSample_seq(String sample_seq) {
		this.sample_seq = sample_seq;
	}

	/****
	 * 赞助机构
	 */
	public String getFunding_org() {
		return this.funding_org;
	}

	/****
	 * 赞助机构
	 */
	public void setFunding_org(String funding_org) {
		this.funding_org = funding_org;
	}

	/****
	 * 公开期限
	 */
	public String getPublish_rule() {
		return this.publish_rule;
	}

	/****
	 * 公开期限
	 */
	public void setPublish_rule(String publish_rule) {
		this.publish_rule = publish_rule;
	}

	/****
	 * 测线号
	 */
	public String getLine_sn() {
		return this.line_sn;
	}

	/****
	 * 测线号
	 */
	public void setLine_sn(String line_sn) {
		this.line_sn = line_sn;
	}

	/****
	 * 测线深度
	 */
	public String getLine_deep() {
		return this.line_deep;
	}

	/****
	 * 测线深度
	 */
	public void setLine_deep(String line_deep) {
		this.line_deep = line_deep;
	}

	/****
	 * 开始经度
	 */
	public String getStart_lon() {
		return this.start_lon;
	}

	/****
	 * 开始经度
	 */
	public void setStart_lon(String start_lon) {
		this.start_lon = start_lon;
	}

	/****
	 * 开始纬度
	 */
	public String getStart_lat() {
		return this.start_lat;
	}

	/****
	 * 开始纬度
	 */
	public void setStart_lat(String start_lat) {
		this.start_lat = start_lat;
	}

	/****
	 * 结束经度
	 */
	public String getEnd_lon() {
		return this.end_lon;
	}

	/****
	 * 结束经度
	 */
	public void setEnd_lon(String end_lon) {
		this.end_lon = end_lon;
	}

	/****
	 * 结束纬度
	 */
	public String getEnd_lat() {
		return this.end_lat;
	}

	/****
	 * 结束纬度
	 */
	public void setEnd_lat(String end_lat) {
		this.end_lat = end_lat;
	}

	/****
	 * 开始时间
	 */
	public LocalDateTime getStart_time() {
		return this.start_time;
	}

	/****
	 * 开始时间
	 */
	public void setStart_time(LocalDateTime start_time) {
		this.start_time = start_time;
	}

	/****
	 * 结束时间
	 */
	public LocalDateTime getEnd_time() {
		return this.end_time;
	}

	/****
	 * 结束时间
	 */
	public void setEnd_time(LocalDateTime end_time) {
		this.end_time = end_time;
	}

	/****
	 * 上传测线轨迹文件名称
	 */
	public String getTrack_file_name() {
		return this.track_file_name;
	}

	/****
	 * 上传测线轨迹文件名称
	 */
	public void setTrack_file_name(String track_file_name) {
		this.track_file_name = track_file_name;
	}

	/****
	 * 数据格式
	 */
	public String getSample_format() {
		return this.sample_format;
	}

	/****
	 * 数据格式
	 */
	public void setSample_format(String sample_format) {
		this.sample_format = sample_format;
	}

	/****
	 * 原始数据、预处理数据、后处理数据
	 */
	public String getSample_status() {
		return this.sample_status;
	}

	/****
	 * 原始数据、预处理数据、后处理数据
	 */
	public void setSample_status(String sample_status) {
		this.sample_status = sample_status;
	}

	/****
	 * 应急搜捞、全球深渊深潜计划、崖州湾共享航次、基金委共享航次
	 */
	public String getSample_tag_name() {
		return this.sample_tag_name;
	}

	/****
	 * 应急搜捞、全球深渊深潜计划、崖州湾共享航次、基金委共享航次
	 */
	public void setSample_tag_name(String sample_tag_name) {
		this.sample_tag_name = sample_tag_name;
	}

	/****
	 * 标签对应的值，用于关联第三方系统
	 */
	public String getSample_tag_value() {
		return this.sample_tag_value;
	}

	/****
	 * 标签对应的值，用于关联第三方系统
	 */
	public void setSample_tag_value(String sample_tag_value) {
		this.sample_tag_value = sample_tag_value;
	}

	/****
	 * 备注信息
	 */
	public String getSample_remark() {
		return this.sample_remark;
	}

	/****
	 * 备注信息
	 */
	public void setSample_remark(String sample_remark) {
		this.sample_remark = sample_remark;
	}

	/****
	 * 创建时间
	 */
	public LocalDateTime getCreate_time() {
		return this.create_time;
	}

	/****
	 * 创建时间
	 */
	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}


}